ERROR: Please install sqlite3 package manually


#1

No matter what I do, I get this error when trying to start Vapid on my Mac. I’m not sure what to do. Installing sqlite3 via NPM doesn’t work, and I’m not sure how to install manually besides that. Any ideas?


#2

@jdailey12 Looks like you’re having a similar issue to what’s being discussed in this post:

The short answer is, it might be a permissions issue. Please give this a try, and if it doesn’t work, feel free to jump in on the other thread:
https://docs.npmjs.com/getting-started/fixing-npm-permissions


unlisted #3

#4

“npm start” ended up working for me. Thanks.

Do you know if there is any way to insert vapid into style tags?

Ex: <div class=“metag” style=“background: {{color placeholder=”#dc6000"}};">

Trying to allow backend to change the color.

Thanks!


#5

Glad to hear that npm start worked.

Re: style tags, yes, you can insert template tags anywhere, including the style attribute. The example you have should work.